plugins {
    id 'application'
    id 'org.openjfx.javafxplugin' version '0.0.9'
    id 'com.github.johnrengelman.shadow' version '6.1.0'
}

group 'fr.insa.clavardator.client'
version '0.0.1'

repositories {
    mavenCentral()
}

javafx {
    version = "11.0.2"
    modules = ['javafx.controls', 'javafx.fxml']
}

dependencies {
    implementation project(':lib')
    implementation 'org.jetbrains:annotations:20.1.0'
    runtimeOnly "org.openjfx:javafx-graphics:$javafx.version:win"
    runtimeOnly "org.openjfx:javafx-graphics:$javafx.version:linux"
    runtimeOnly "org.openjfx:javafx-graphics:$javafx.version:mac"
    implementation 'org.xerial:sqlite-jdbc:3.32.3'
    implementation 'org.kordamp.ikonli:ikonli-javafx:12.0.0'
    implementation 'org.kordamp.ikonli:ikonli-fontawesome5-pack:12.0.0'
    implementation 'org.json:json:20201115'
    testImplementation("org.junit.jupiter:junit-jupiter-api:5.7.0")
    testRuntimeOnly("org.junit.jupiter:junit-jupiter-engine:5.7.0")
    compile 'com.jfoenix:jfoenix:9.0.10'
}


test {
    useJUnitPlatform()
}

mainClassName = 'fr.insa.clavardator.client.Launcher'

shadowJar {
    mergeServiceFiles()
}

run {
    jvmArgs = [
            "--add-exports=javafx.controls/com.sun.javafx.scene.control.behavior=ALL-UNNAMED",
            "--add-exports=javafx.controls/com.sun.javafx.scene.control=ALL-UNNAMED",
            "--add-exports=javafx.base/com.sun.javafx.binding=ALL-UNNAMED",
            "--add-exports=javafx.graphics/com.sun.javafx.stage=ALL-UNNAMED",
            "--add-exports=javafx.controls/com.sun.javafx.scene.control.behavior=ALL-UNNAMED"
    ]
}
